using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;
using System.Threading.Tasks;
namespace ConsoleApplication1

{

    class Program

    {  
        static int drugi(int n, int m)
        {
            int br = n * m;
                    for (int i = 1; i < n - 1; i+=2)
                    {
                        for (int j = 1; j < m -1; j+=2)
                        {
                                br--;
                                
                        }
                    }
                    for(int i = 2; i < n - 1; i += 2)
                        {
                        for (int j = 2; j < m - 1; j += 2)
                        {
                            br--;

                        }
                    }
            return br;
        }
        static void Main(string[] args)

        {
            string[] red1 = new string[1];
            string[] red2 = new string[1];
            red1 = Console.ReadLine().Split(" ");
            int n = int.Parse(red1[0]);
            int m = int.Parse(red1[1]);
            Console.WriteLine(drugi(n, m));
        }
    }
}